=== release 1.12.3 ===

2017-09-18  Sebastian Dröge <slomo@coaxion.net>

	* configure.ac:
	  releasing 1.12.3

2017-09-18 16:00:48 +0300  Sebastian Dröge <sebastian@centricular.com>

	* po/cs.po:
	  po: Update translations

2017-07-25 12:37:19 -0400  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* gst/audioconvert/gstaudioconvert.c:
	  audioconvert: Consider channel=1, channel-mask=0x0 as mono
	  channels=1 is always mono, having it 'unpositioned' does not make
	  sense.
	  This fixes pipeline such as:
	  gst-validate-1.0 audiotestsrc ! audio/x-raw,channels=2,rate=44100,layout=interleaved ! audioconvert ! audioresample ! audio/x-raw, rate=44100, channels=1 ! avenc_mp2 ! fakesink
	  https://bugzilla.gnome.org/show_bug.cgi?id=785407

2017-08-20 12:09:52 +0200  Mark Nauwelaerts <mnauw@users.sourceforge.net>

	* gst/playback/gstplaybin2.c:
	  playbin: ref_sink() sink rather than pointer to sink

2017-08-17 12:13:38 +0100  Tim-Philipp Müller <tim@centricular.com>

	* README:
	* common:
	  Automatic update of common submodule
	  From 48a5d85 to dd9d403

2016-09-09 10:29:01 +0900  Seungha Yang <sh.yang@lge.com>

	* gst/playback/gstdecodebin3.c:
	  decodebin3: Don't send duplicated stream-start event
	  group-id in stream-start event might be updated in
	  parse_chain_output_probe (). This cause duplicated stream-start
	  twice with identical stream-id and seq-num, but only group-id is
	  different. Although there is no change, stream-start event will
	  be followed by the first buffer.
	  https://bugzilla.gnome.org/show_bug.cgi?id=771088

2017-01-25 19:20:44 +0900  Seungha Yang <sh.yang@lge.com>

	* gst/playback/gsturisourcebin.c:
	  urisourcebin: Push EOS if slot is still eos state
	  linked input of slot can be old input, so urisourcebin should check
	  eos state to figure out whether it's new one or not.
	  If not, urisourcebin never ever forwards EOS to downstream at the end
	  of presentation, because the old input is still there without removal
	  https://bugzilla.gnome.org/show_bug.cgi?id=777735

2017-08-09 16:23:03 +0200  Edward Hervey <edward@centricular.com>

	* gst/playback/gstdecodebin3-parse.c:
	* gst/playback/gstdecodebin3.c:
	* gst/playback/gsturisourcebin.c:
	  decodebin3/urisourcebin: Switch to actual EOS events internally
	  Use the intended sequence for re-using elements:
	  * EOS
	  * STREAM_START if element is to be re-used
	  This avoids having elements (such as queue/multiqueue/queue2) not
	  properly resetting themselves.
	  When delaying EOS propagation (because we want to wait until all
	  streams of a group are done for example), we re-trigger them by
	  first sending the cached STREAM_START and then EOS (which will
	  cause elements to re-set themselves if needed and accept new
	  buffers/events).
	  https://bugzilla.gnome.org/show_bug.cgi?id=785951

2017-01-25 19:51:17 +0900  Seungha Yang <sh.yang@lge.com>

	* gst/playback/gstdecodebin3.c:
	  decodebin3: Push EOS to output stream if they are all drained
	  decodebin3 checks input streams and pushes EOS if all input streams
	  are EOSed. If not, fake EOS is pushed to the corresponding slot.
	  When adaptivedemux is used with multi-track configuration,
	  adaptivedemux never ever push EOS to non-selected track
	  because streaming thread for the slot stops with not-linked flow return.
	  So, decodebin3 should generate EOS itself to finish playback.
	  https://bugzilla.gnome.org/show_bug.cgi?id=777735

2017-08-12 15:46:28 +0100  Philippe Normand <philn@igalia.com>

	* gst-libs/gst/app/gstappsrc.c:
	  appsrc: handle duration query only if the property was set
	  https://bugzilla.gnome.org/show_bug.cgi?id=786200

2017-08-08 20:35:25 +0200  Mark Nauwelaerts <mnauw@users.sourceforge.net>

	* gst-libs/gst/audio/gstaudioencoder.c:
	  audioencoder: also adjust sample count upon discont to avoid ts overflow
	  Only adjusting the base_ts might lead to a negative ts and as such integer
	  overflow into a huge timestamp which then propagates into the granulepos
	  and so on.  Instead, resync to incoming buffer timestamp using both base_ts
	  and sample count rather than only base_ts.
	  Fixes https://bugzilla.gnome.org/show_bug.cgi?id=785948

2017-08-07 15:27:45 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/playback/gstplaybin2.c:
	  playbin: Make sure to ref_sink() any sinks before calling activate_sink()
	  It is forwarding messages to the playbin bus, thus forwarding messages
	  that contain a floating reference to the application. This generally
	  makes bindings unhappy, we must not leak floating references to them.

2017-08-04 13:39:04 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/gst/tag/gstxmptag.c:
	  xmptag: Stop parsing GPS coordinate if sscanf() fails
	  CID 1139610

2017-07-24 16:48:17 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/gst/video/gstvideodecoder.c:
	  videodecoder: Make sure we have an actually writable buffer when modifying metadata
	  avviddec keeps references to the buffers internally for example, in
	  which case we need to do a shallow copy of the buffer.

2017-07-24 19:18:49 +0530  Satya Prakash Gupta <sp.gupta@samsung.com>

	* gst-libs/gst/video/gstvideofilter.c:
	  videofilter: Unmap input frame if mapping output frame failed
	  https://bugzilla.gnome.org/show_bug.cgi?id=785341

2017-07-24 16:29:53 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/gst/video/gstvideometa.c:
	  videometa: Don't crash if adding the timecode meta to a buffer failed

2017-07-24 13:23:17 +0530  Satya Prakash Gupta <sp.gupta@samsung.com>

	* gst/subparse/gstssaparse.c:
	  ssaparse: Fix buffer leak in error case
	  https://bugzilla.gnome.org/show_bug.cgi?id=785331

2017-07-19 09:02:26 +0530  Satya Prakash Gupta <sp.gupta@samsung.com>

	* gst/encoding/gstencodebin.c:
	  encodebin: fix possible pad ref leak in error code path
	  https://bugzilla.gnome.org/show_bug.cgi?id=785065

=== release 1.12.2 ===

2017-07-14 14:02:19 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/inspect/plugin-adder.xml:
	* docs/plugins/inspect/plugin-alsa.xml:
	* docs/plugins/inspect/plugin-app.xml:
	* docs/plugins/inspect/plugin-audioconvert.xml:
	* docs/plugins/inspect/plugin-audiorate.xml:
	* docs/plugins/inspect/plugin-audioresample.xml:
	* docs/plugins/inspect/plugin-audiotestsrc.xml:
	* docs/plugins/inspect/plugin-cdparanoia.xml:
	* docs/plugins/inspect/plugin-encoding.xml:
	* docs/plugins/inspect/plugin-gio.xml:
	* docs/plugins/inspect/plugin-libvisual.xml:
	* docs/plugins/inspect/plugin-ogg.xml:
	* docs/plugins/inspect/plugin-opus.xml:
	* docs/plugins/inspect/plugin-pango.xml:
	* docs/plugins/inspect/plugin-pbtypes.xml:
	* docs/plugins/inspect/plugin-playback.xml:
	* docs/plugins/inspect/plugin-rawparse.xml:
	* docs/plugins/inspect/plugin-subparse.xml:
	* docs/plugins/inspect/plugin-tcp.xml:
	* docs/plugins/inspect/plugin-theora.xml:
	* docs/plugins/inspect/plugin-typefindfunctions.xml:
	* docs/plugins/inspect/plugin-videoconvert.xml:
	* docs/plugins/inspect/plugin-videorate.xml:
	* docs/plugins/inspect/plugin-videoscale.xml:
	* docs/plugins/inspect/plugin-videotestsrc.xml:
	* docs/plugins/inspect/plugin-volume.xml:
	* docs/plugins/inspect/plugin-vorbis.xml:
	* docs/plugins/inspect/plugin-ximagesink.xml:
	* docs/plugins/inspect/plugin-xvimagesink.xml:
	* gst-plugins-base.doap:
	* meson.build:
	  Release 1.12.2

2017-07-14 13:26:46 +0300  Sebastian Dröge <sebastian@centricular.com>

	* po/af.po:
	* po/az.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/eo.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/fur.po:
	* po/gl.po:
	* po/hr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/lv.po:
	* po/nb.po:
	* po/nl.po:
	* po/or.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ro.po:
	* po/ru.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	  Update .po files

2017-07-14 13:21:49 +0300  Sebastian Dröge <sebastian@centricular.com>

	* po/tr.po:
	  po: Update translations

2017-07-07 09:18:30 +0900  Heekyoung Seo <heekyoung.seo@lge.com>

	* gst-libs/gst/video/convertframe.c:
	  convertframe: Fix leak in case of vcrop is disabled
	  https://bugzilla.gnome.org/show_bug.cgi?id=784639

2017-07-01 17:45:19 +0200  Mark Nauwelaerts <mnauw@users.sourceforge.net>

	* ext/pango/gstbasetextoverlay.c:
	* tests/check/elements/textoverlay.c:
	  textoverlay: ensure text buffer has writable metadata when modifying

=== release 1.12.1 ===

2017-06-20 12:05:35 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/inspect/plugin-adder.xml:
	* docs/plugins/inspect/plugin-alsa.xml:
	* docs/plugins/inspect/plugin-app.xml:
	* docs/plugins/inspect/plugin-audioconvert.xml:
	* docs/plugins/inspect/plugin-audiorate.xml:
	* docs/plugins/inspect/plugin-audioresample.xml:
	* docs/plugins/inspect/plugin-audiotestsrc.xml:
	* docs/plugins/inspect/plugin-cdparanoia.xml:
	* docs/plugins/inspect/plugin-encoding.xml:
	* docs/plugins/inspect/plugin-gio.xml:
	* docs/plugins/inspect/plugin-libvisual.xml:
	* docs/plugins/inspect/plugin-ogg.xml:
	* docs/plugins/inspect/plugin-opus.xml:
	* docs/plugins/inspect/plugin-pango.xml:
	* docs/plugins/inspect/plugin-pbtypes.xml:
	* docs/plugins/inspect/plugin-playback.xml:
	* docs/plugins/inspect/plugin-rawparse.xml:
	* docs/plugins/inspect/plugin-subparse.xml:
	* docs/plugins/inspect/plugin-tcp.xml:
	* docs/plugins/inspect/plugin-theora.xml:
	* docs/plugins/inspect/plugin-typefindfunctions.xml:
	* docs/plugins/inspect/plugin-videoconvert.xml:
	* docs/plugins/inspect/plugin-videorate.xml:
	* docs/plugins/inspect/plugin-videoscale.xml:
	* docs/plugins/inspect/plugin-videotestsrc.xml:
	* docs/plugins/inspect/plugin-volume.xml:
	* docs/plugins/inspect/plugin-vorbis.xml:
	* docs/plugins/inspect/plugin-ximagesink.xml:
	* docs/plugins/inspect/plugin-xvimagesink.xml:
	* gst-plugins-base.doap:
	* meson.build:
	  Release 1.12.1

2017-06-20 11:16:20 +0300  Sebastian Dröge <sebastian@centricular.com>

	* po/af.po:
	* po/az.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/eo.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/fur.po:
	* po/gl.po:
	* po/hr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/lv.po:
	* po/nb.po:
	* po/nl.po:
	* po/or.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ro.po:
	* po/ru.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	  Update .po files

2017-06-20 11:07:10 +0300  Sebastian Dröge <sebastian@centricular.com>

	* po/sv.po:
	  po: Update translations

2017-06-20 10:06:01 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/gst/pbutils/install-plugins.c:
	* gst-libs/gst/pbutils/install-plugins.h:
	* gst-libs/gst/rtsp/gstrtspmessage.c:
	* gst-libs/gst/rtsp/gstrtspmessage.h:
	* win32/common/libgstpbutils.def:
	* win32/common/libgstrtsp.def:
	  libs: Export boxed type copy/free functions for the remaining types

2017-06-02 09:41:59 +0200  Wim Taymans <wtaymans@redhat.com>

	* gst/audioconvert/gstaudioconvert.c:
	  audioconvert: resize output buffer to correct size
	  If we are using a downstream bufferpool we need to set the size of the
	  buffer to our output size.

2017-06-01 13:01:03 -0700  Scott D Phillips <scott.d.phillips@intel.com>

	* gst-libs/gst/video/navigation.c:
	  navigation: Add introspection annotations for some output parameters
	  The missing annotations prevented proper usage from introspected
	  bindings like python.
	  https://bugzilla.gnome.org/show_bug.cgi?id=783330

2017-06-12 10:24:43 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/playback/gsturisourcebin.c:
	  urisourcebin: Use downloadbuffer element
	  And only set low-percent/high-percent if not using downloadbuffer, just
	  like in old uridecodebin. using the watermark based buffering causes
	  playback to hang never finish buffering with downloadbuffer.

2017-06-14 17:04:18 -0400  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* gst/playback/gsturisourcebin.c:
	  urisourcebin: Call do_async_done when source state change returns NO_PREROLL
	  Otherwise for RTSP streams for example, the pipeline will never go to
	  PLAYING as it will be missing an ASYNC_DONE message.
	  https://bugzilla.gnome.org/show_bug.cgi?id=780099

2017-06-12 15:38:53 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* gst/rawparse/gstrawvideoparse.c:
	  rawvideoparse: Fix missing VideoMeta
	  The base class is trying to align the processed data, but it endup
	  removing the GstVideoMeta. That caused wrong result. Instead, just copy
	  from the process function with the appropriate alignment.
	  https://bugzilla.gnome.org/show_bug.cgi?id=781204

2017-06-01 13:28:42 -0700  Scott D Phillips <scott.d.phillips@intel.com>

	* gst-libs/gst/video/video-orc-dist.c:
	* gst-libs/gst/video/video-orc-dist.h:
	  video: update orc generated files
	  Includes updates from:
	  103d265 Fix RGBA and ABGR pack/unpack on big endian cpu
	  https://bugzilla.gnome.org/show_bug.cgi?id=783328

2017-06-01 17:45:41 +0200  Wim Taymans <wtaymans@redhat.com>

	* gst-libs/gst/video/video-format.c:
	* gst-libs/gst/video/video-orc.orc:
	  Fix RGBA and ABGR pack/unpack on big endian cpu
	  The pack and unpack functions for RGBA and ABGR only work for little
	  endian cpus. Add variants for big endian as well.

2017-05-18 13:24:19 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/gst/pbutils/gstdiscoverer.c:
	  discoverer: Clean up more fields to decide if parent/child streams are equivalent
	  https://bugzilla.gnome.org/show_bug.cgi?id=782780

2017-05-23 08:43:26 +0200  Olivier Crête <olivier.crete@collabora.com>

	* gst/videotestsrc/gstvideotestsrc.c:
	* gst/videotestsrc/gstvideotestsrc.h:
	  videotestsrc: Protect videoinfo with object lock
	  The videoinfo is set in the streaming thread, but can be read by any
	  thread from the various queries, so protect it with the object lock.

2017-05-18 11:02:51 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/playback/gsturisourcebin.c:
	  urisourcebin: Unref query with gst_query_unref()
	  Not gst_object_unref().

=== release 1.12.0 ===

2017-05-04 15:37:27 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/inspect/plugin-adder.xml:
	* docs/plugins/inspect/plugin-alsa.xml:
	* docs/plugins/inspect/plugin-app.xml:
	* docs/plugins/inspect/plugin-audioconvert.xml:
	* docs/plugins/inspect/plugin-audiorate.xml:
	* docs/plugins/inspect/plugin-audioresample.xml:
	* docs/plugins/inspect/plugin-audiotestsrc.xml:
	* docs/plugins/inspect/plugin-cdparanoia.xml:
	* docs/plugins/inspect/plugin-encoding.xml:
	* docs/plugins/inspect/plugin-gio.xml:
	* docs/plugins/inspect/plugin-libvisual.xml:
	* docs/plugins/inspect/plugin-ogg.xml:
	* docs/plugins/inspect/plugin-opus.xml:
	* docs/plugins/inspect/plugin-pango.xml:
	* docs/plugins/inspect/plugin-pbtypes.xml:
	* docs/plugins/inspect/plugin-playback.xml:
	* docs/plugins/inspect/plugin-rawparse.xml:
	* docs/plugins/inspect/plugin-subparse.xml:
	* docs/plugins/inspect/plugin-tcp.xml:
	* docs/plugins/inspect/plugin-theora.xml:
	* docs/plugins/inspect/plugin-typefindfunctions.xml:
	* docs/plugins/inspect/plugin-videoconvert.xml:
	* docs/plugins/inspect/plugin-videorate.xml:
	* docs/plugins/inspect/plugin-videoscale.xml:
	* docs/plugins/inspect/plugin-videotestsrc.xml:
	* docs/plugins/inspect/plugin-volume.xml:
	* docs/plugins/inspect/plugin-vorbis.xml:
	* docs/plugins/inspect/plugin-ximagesink.xml:
	* docs/plugins/inspect/plugin-xvimagesink.xml:
	* gst-plugins-base.doap:
	* meson.build:
	  Release 1.12.0

2017-05-04 15:04:19 +0300  Sebastian Dröge <sebastian@centricular.com>

	* po/af.po:
	* po/az.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/eo.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/fur.po:
	* po/gl.po:
	* po/hr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/lv.po:
	* po/nb.po:
	* po/nl.po:
	* po/or.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ro.po:
	* po/ru.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	  Update .po files

2017-05-03 16:02:19 +0100  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* gst/playback/gstdecodebin2.c:
	  decodebin2: fix use after free from demuxer flush pad probe
	  In some cases, we could get a flush-stop event after the chain structure
	  containing the demuxer was freed.
	  https://bugzilla.gnome.org/show_bug.cgi?id=782095

2017-05-02 14:32:02 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/videorate/gstvideorate.c:
	  Revert "videorate: In reverse playback mode, don't output the first buffer with ts=segment.stop"
	  This reverts commit e6736e992576d174707af339aeb908722492ebca.
	  This one is for after 1.12.0 and shouldn't have been merged yet.

2017-05-02 14:31:14 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/gst/audio/gstaudiodecoder.c:
	* gst-libs/gst/audio/gstaudioencoder.c:
	* gst-libs/gst/rtp/gstrtpbaseaudiopayload.c:
	* gst-libs/gst/video/gstvideodecoder.c:
	* gst-libs/gst/video/gstvideoencoder.c:
	  libs: Check if meta transform_func is NULL before using it
	  https://bugzilla.gnome.org/show_bug.cgi?id=782050

2017-04-28 15:24:43 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/videorate/gstvideorate.c:
	  videorate: In reverse playback mode, don't output the first buffer with ts=segment.stop
	  Instead go backwards before segment.stop based on the framerate or the
	  next buffers end timestamp. Otherwise the first buffer will usually be
	  dropped because outside the segment.
	  https://bugzilla.gnome.org/show_bug.cgi?id=781899

2017-05-01 14:31:07 -0300  Vitor Massaru Iha <vitor@massaru.org>

	* ext/pango/gsttextoverlay.c:
	  textoverlay: Removing duplicated command.
	  gst-launch-1.0 was duplicated on textoverlay example.
	  https://bugzilla.gnome.org/show_bug.cgi?id=782018

2017-04-28 15:54:04 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/playback/gstplaybin2.c:
	* gst/playback/gstplaybin3.c:
	  playbin: minor docs fix
	  The "frame" property is no more, it's "sample" these days.

=== release 1.11.91 ===

2017-04-27 17:25:49 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/inspect/plugin-adder.xml:
	* docs/plugins/inspect/plugin-alsa.xml:
	* docs/plugins/inspect/plugin-app.xml:
	* docs/plugins/inspect/plugin-audioconvert.xml:
	* docs/plugins/inspect/plugin-audiorate.xml:
	* docs/plugins/inspect/plugin-audioresample.xml:
	* docs/plugins/inspect/plugin-audiotestsrc.xml:
	* docs/plugins/inspect/plugin-cdparanoia.xml:
	* docs/plugins/inspect/plugin-encoding.xml:
	* docs/plugins/inspect/plugin-gio.xml:
	* docs/plugins/inspect/plugin-libvisual.xml:
	* docs/plugins/inspect/plugin-ogg.xml:
	* docs/plugins/inspect/plugin-opus.xml:
	* docs/plugins/inspect/plugin-pango.xml:
	* docs/plugins/inspect/plugin-pbtypes.xml:
	* docs/plugins/inspect/plugin-playback.xml:
	* docs/plugins/inspect/plugin-rawparse.xml:
	* docs/plugins/inspect/plugin-subparse.xml:
	* docs/plugins/inspect/plugin-tcp.xml:
	* docs/plugins/inspect/plugin-theora.xml:
	* docs/plugins/inspect/plugin-typefindfunctions.xml:
	* docs/plugins/inspect/plugin-videoconvert.xml:
	* docs/plugins/inspect/plugin-videorate.xml:
	* docs/plugins/inspect/plugin-videoscale.xml:
	* docs/plugins/inspect/plugin-videotestsrc.xml:
	* docs/plugins/inspect/plugin-volume.xml:
	* docs/plugins/inspect/plugin-vorbis.xml:
	* docs/plugins/inspect/plugin-ximagesink.xml:
	* docs/plugins/inspect/plugin-xvimagesink.xml:
	* gst-plugins-base.doap:
	* meson.build:
	  Release 1.11.91

2017-04-27 15:55:22 +0300  Sebastian Dröge <sebastian@centricular.com>

	* po/af.po:
	* po/az.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/eo.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/fur.po:
	* po/gl.po:
	* po/hr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/lv.po:
	* po/nb.po:
	* po/nl.po:
	* po/or.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ro.po:
	* po/ru.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	  Update .po files

2017-04-27 15:22:58 +0300  Sebastian Dröge <sebastian@centricular.com>

	* po/LINGUAS:
	* po/fur.po:
	  po: Update translations

2017-04-24 20:27:42 +0100  Tim-Philipp Müller <tim@centricular.com>

	* common:
	  Automatic update of common submodule
	  From 60aeef6 to 48a5d85

2017-04-19 11:47:30 +0200  Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

	* gst-libs/gst/video/video.h:
	  video: fix typo in GstVideoAlignment doc
	  https://bugzilla.gnome.org/show_bug.cgi?id=781490

2017-04-13 16:40:02 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst-libs/gst/audio/audio-resampler.h:
	  audio: resampler: fix typos in docs

2017-04-12 16:06:45 +0200  Rico Tzschichholz <ricotz@ubuntu.com>

	* gst-libs/gst/allocators/meson.build:
	* gst-libs/gst/app/meson.build:
	* gst-libs/gst/audio/meson.build:
	* gst-libs/gst/fft/meson.build:
	* gst-libs/gst/pbutils/meson.build:
	* gst-libs/gst/riff/meson.build:
	* gst-libs/gst/rtp/meson.build:
	* gst-libs/gst/rtsp/meson.build:
	* gst-libs/gst/sdp/meson.build:
	* gst-libs/gst/tag/meson.build:
	* gst-libs/gst/video/meson.build:
	  meson: Pass --c-include accordingly to GIR builds

2017-04-12 09:58:49 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ext/theora/gsttheoraparse.c:
	* gst-libs/gst/pbutils/encoding-profile.c:
	* gst-libs/gst/sdp/gstsdpmessage.c:
	* gst-libs/gst/tag/id3v2frames.c:
	* gst/typefind/gsttypefindfunctions.c:
	* tests/check/libs/tag.c:
	* tests/icles/test-reverseplay.c:
	  No need for newlines in debug log statements

2017-04-10 15:35:41 -0400  Olivier Crête <olivier.crete@collabora.com>

	* tools/gst-device-monitor.c:
	  tools: gst-device-monitor: Print gst-launch example
	  Print a gst-launch-1.0 line that could get to this device,
	  useful as we don't have other ways to see what it does exactly.
	  This may not work if the create element has configurations other than
	  properties.
	  https://bugzilla.gnome.org/show_bug.cgi?id=781152

2017-04-11 10:47:29 +0100  Tim-Philipp Müller <tim@centricular.com>

	* .gitignore:
	  .gitignore: ignore all generated enumtypes files

2017-04-11 10:46:50 +0100  Tim-Philipp Müller <tim@centricular.com>

	* Makefile.am:
	  meson: dist more meson build files

2017-04-11 11:44:48 +0300  Claudio Saavedra <csaavedra@igalia.com>

	* gst-libs/gst/app/meson.build:
	  meson: install gstappsink.h
	  https://bugzilla.gnome.org/show_bug.cgi?id=781168

2017-04-11 11:16:33 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/volume/gstvolume.c:
	* gst/volume/gstvolume.h:
	  volume: Store volume as a double for consistency with the property type
	  And the potential increased precision, which shouldn't matter much here.
	  https://bugzilla.gnome.org/show_bug.cgi?id=781149

2017-04-10 23:48:59 +0100  Tim-Philipp Müller <tim@centricular.com>

	* autogen.sh:
	* common:
	  Automatic update of common submodule
	  From 39ac2f5 to 60aeef6

2017-04-10 14:29:20 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/gst/tag/tag.h:
	  Revert "tag: Fix enum nicks for backwards compatibility"
	  This reverts commit 595b29519ab6850811ed2e68b75e29a2240a5432.
	  Bindings are not using the nicks but the actual enum names.

2017-04-10 14:25:30 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/gst/app/Makefile.am:
	* gst-libs/gst/tag/Makefile.am:
	  app/tag: Fix build with srcdir!=builddir

2017-04-10 14:02:01 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/gst/tag/tag.h:
	  tag: Fix enum nicks for backwards compatibility
	  The enum values got the wrong name at some point, something to fix for 2.0.

2017-04-10 13:55:58 +0300  Rico Tzschichholz <ricotz@t-online.de>

	* gst-libs/gst/app/Makefile.am:
	* gst-libs/gst/tag/Makefile.am:
	  app/tag: Add missing sources/headers to the GIR build

2017-04-09 12:54:12 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/gst/tag/meson.build:
	  meson: Define missing variable

2017-04-09 12:51:52 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/gst/tag/Makefile.am:
	* gst-libs/gst/tag/gsttagdemux.c:
	* gst-libs/gst/tag/gsttagdemux.h:
	* gst-libs/gst/tag/licenses.c:
	* gst-libs/gst/tag/meson.build:
	* gst-libs/gst/tag/tag.h:
	* gst-libs/gst/tag/tag_mkenum.py:
	* gst-libs/gst/tag/tags.c:
	  tag: Generate GLib enums/flags with glib-mkenums

2017-04-09 12:29:55 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/gst/app/Makefile.am:
	* gst-libs/gst/app/app_mkenum.py:
	* gst-libs/gst/app/gstappsrc.c:
	* gst-libs/gst/app/gstappsrc.h:
	* gst-libs/gst/app/meson.build:
	  app: Generate GLib enums with glib-mkenums

2017-04-09 12:19:22 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/gst/pbutils/encoding-profile.c:
	  encoding-profile: It's (transfer none), not (transfer-none)

2017-04-09 11:48:27 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/gst/audio/Makefile.am:
	* gst-libs/gst/audio/gstaudiobasesink.c:
	* gst-libs/gst/audio/gstaudiobasesink.h:
	* gst-libs/gst/audio/gstaudiobasesrc.c:
	* gst-libs/gst/audio/gstaudiobasesrc.h:
	* gst-libs/gst/audio/gstaudiocdsrc.c:
	* gst-libs/gst/audio/gstaudiocdsrc.h:
	* gst-libs/gst/audio/meson.build:
	* win32/common/libgstaudio.def:
	  audio: Generate audiobasesink/src and audiocdsrc GLib enums automatically
	  And ensure that GstAudioBaseSrcSlaveMethod's re-timestamp stays
	  re-timestamp and doesn't become retimestamp.

2017-04-06 22:38:34 +0300  Vivia Nikolaidou <vivia@ahiru.eu>

	* gst-libs/gst/video/gstvideotimecode.c:
	  timecode: Fix invalid drop-frame timecode right before a new second
	  The previous fix was only working for non-drop-frame timecodes.
	  https://bugzilla.gnome.org/show_bug.cgi?id=779866

=== release 1.11.90 ===

2017-04-07 16:31:10 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/gst-plugins-base-plugins.args:
	* docs/plugins/inspect/plugin-adder.xml:
	* docs/plugins/inspect/plugin-alsa.xml:
	* docs/plugins/inspect/plugin-app.xml:
	* docs/plugins/inspect/plugin-audioconvert.xml:
	* docs/plugins/inspect/plugin-audiorate.xml:
	* docs/plugins/inspect/plugin-audioresample.xml:
	* docs/plugins/inspect/plugin-audiotestsrc.xml:
	* docs/plugins/inspect/plugin-cdparanoia.xml:
	* docs/plugins/inspect/plugin-encoding.xml:
	* docs/plugins/inspect/plugin-gio.xml:
	* docs/plugins/inspect/plugin-libvisual.xml:
	* docs/plugins/inspect/plugin-ogg.xml:
	* docs/plugins/inspect/plugin-opus.xml:
	* docs/plugins/inspect/plugin-pango.xml:
	* docs/plugins/inspect/plugin-pbtypes.xml:
	* docs/plugins/inspect/plugin-playback.xml:
	* docs/plugins/inspect/plugin-rawparse.xml:
	* docs/plugins/inspect/plugin-subparse.xml:
	* docs/plugins/inspect/plugin-tcp.xml:
	* docs/plugins/inspect/plugin-theora.xml:
	* docs/plugins/inspect/plugin-typefindfunctions.xml:
	* docs/plugins/inspect/plugin-videoconvert.xml:
	* docs/plugins/inspect/plugin-videorate.xml:
	* docs/plugins/inspect/plugin-videoscale.xml:
	* docs/plugins/inspect/plugin-videotestsrc.xml:
	* docs/plugins/inspect/plugin-volume.xml:
	* docs/plugins/inspect/plugin-vorbis.xml:
	* docs/plugins/inspect/plugin-ximagesink.xml:
	* docs/plugins/inspect/plugin-xvimagesink.xml:
	* gst-plugins-base.doap:
	* meson.build:
	  Release 1.11.90

2017-04-07 15:12:37 +0300  Sebastian Dröge <sebastian@centricular.com>

	* po/af.po:
	* po/az.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/eo.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/gl.po:
	* po/hr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/lv.po:
	* po/nb.po:
	* po/nl.po:
	* po/or.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ro.po:
	* po/ru.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	  Update .po files

2017-04-07 15:06:07 +0300  Sebastian Dröge <sebastian@centricular.com>

	* po/hu.po:
	  po: Update translations

2017-04-03 16:41:49 +1000  Matthew Waters <matthew@centricular.com>

	* gst-libs/gst/sdp/gstsdpmessage.c:
	* tests/check/libs/sdp.c:
	  sdp/media: caps_from_media() don't modify the input media
	  Performing a gst_sdp_media_get_caps_from_media() would result in
	  changing fields in the GstSDPMedia violating the const tag in the
	  function declaration.
	  Before there would be a line with a=rtpmap:96 VP8/90000
	  after, that attribute would only contain a=rtpmap:96
	  Fix by performing modifications on duplicated strings instead of on
	  the internal values.
	  Also add a simple test for checking that the representation doesn't
	  change by a gst_sdp_media_get_caps_from_media()

2017-04-03 15:08:06 +1000  Matthew Waters <matthew@centricular.com>

	* gst-libs/gst/sdp/gstsdpmessage.c:
	  sdp: add g_return*_if_fail assertions on invalid inputs
	  Prevents some programming errors and invalid modifications.

2017-04-03 15:05:47 +1000  Matthew Waters <matthew@centricular.com>

	* gst-libs/gst/sdp/gstsdpmessage.c:
	  sdp/message: fix segfault copying NULL in the boxed copy impl
	  Allows passing NULL as a value to g_object_set and as signal
	  parameters without crashing.

2017-03-31 13:43:52 +0100  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* gst-libs/gst/video/video-converter.c:
	  video-converter: fix scaler leak
	  https://bugzilla.gnome.org/show_bug.cgi?id=780764

2017-03-31 15:59:19 +0100  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* gst/encoding/gstencodebin.c:
	  encodebin: fix list leak when requesting a new pad
	  https://bugzilla.gnome.org/show_bug.cgi?id=780769

2017-03-28 14:31:34 -0300  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* tests/check/meson.build:
	  meson: Use get_pkgconfig_variable instead of calling pkg-config ourself
	  It is avalaible in meson 0.36 which is now are requirement

2017-03-27 22:59:17 +1100  Jan Schmidt <jan@centricular.com>

	* gst/playback/gsturisourcebin.c:
	  urisourcebin: Set removed flag when removing buffering msg
	  Forgot to set the flag, resulting in a missed check for
	  sending 100% in some cases. Spotted by Coverity.
	  CID: 1403263

2017-03-26 23:33:24 +0200  Francisco Velazquez <francisv@ifi.uio.no>

	* docs/plugins/gst-plugins-base-plugins-docs.sgml:
	  docs: Fix broken URL in reference manual
	  https://bugzilla.gnome.org/show_bug.cgi?id=780566

2017-03-21 13:12:47 +0000  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* gst/rawparse/gstrawbaseparse.c:
	  rawvideoparse: fix assert on large width/height in caps
	  https://bugzilla.gnome.org/show_bug.cgi?id=776446

2017-03-27 00:26:53 +1100  Jan Schmidt <jan@centricular.com>

	* gst/typefind/gsttypefindfunctions.c:
	  typefind: Expand the search range for HLS detection
	  HLS files can have arbitrary extra tags in them, and
	  those can be quite long lines. We need to search
	  further than 256 bytes sometimes just to get past the
	  first few lines of the file. Make the limit 4KB,
	  which matches a typical input block size and should
	  hopefully cover every crazy input.
	  https://bugzilla.gnome.org/show_bug.cgi?id=780559

2017-03-24 18:51:12 -0300  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* tests/check/meson.build:
	  meson: Fix build failure from previous commit
	  Mistake while rebasing

2017-03-24 18:46:34 -0300  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* tests/check/meson.build:
	  meson: Specify pluginsdir setting the environment
	  And do not specify the separator as this is OS
	  dependent and will be handled properly by default

2017-03-24 17:00:23 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* tests/check/meson.build:
	  meson: Reuse plugins_install_dir for building env

2017-03-24 16:16:26 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* tests/check/meson.build:
	  meson: Fix plugin path when running test
	  The path was only adding the build root. We need to also add the
	  prefix for the case we work with installed setup. As the search is
	  recursive, I had to remove any subdirectory to the already present build
	  root.

